View a markdown version of this page

CreatePolicy - Next generation Resilience Hub

CreatePolicy

Creates a resilience policy that defines availability and disaster recovery requirements.

Request Syntax

POST /v2/create-policy HTTP/1.1 Content-type: application/json { "availabilitySlo": { "target": number }, "clientToken": "string", "dataRecovery": { "timeBetweenBackupsInMinutes": number }, "description": "string", "kmsKeyId": "string", "multiAz": { "disasterRecoveryApproach": "string", "rpoInMinutes": number, "rtoInMinutes": number }, "multiRegion": { "disasterRecoveryApproach": "string", "rpoInMinutes": number, "rtoInMinutes": number }, "name": "string", "tags": { "string" : "string" } }

URI Request Parameters

The request does not use any URI parameters.

Request Body

The request accepts the following data in JSON format.

availabilitySlo

The availability SLO for the resilience policy.

Type: AvailabilitySlo object

Required: No

clientToken

Idempotency token.

Type: String

Length Constraints: Minimum length of 1. Maximum length of 63.

Pattern: [A-Za-z0-9_.-]{0,63}

Required: No

dataRecovery

The data recovery targets for the resilience policy.

Type: DataRecoveryTargets object

Required: No

description

Resource description for services and policies.

Type: String

Length Constraints: Minimum length of 0. Maximum length of 615.

Required: No

kmsKeyId

KMS key identifier — accepts key ID, key ARN, alias name, or alias ARN.

Type: String

Length Constraints: Minimum length of 1. Maximum length of 2048.

Required: No

multiAz

The multi-AZ disaster recovery targets for the resilience policy.

Type: MultiAzTargets object

Required: No

multiRegion

The multi-Region disaster recovery targets for the resilience policy.

Type: MultiRegionTargets object

Required: No

name

Resource name (used in ARN — no spaces allowed).

Type: String

Length Constraints: Minimum length of 2. Maximum length of 60.

Pattern: [A-Za-z0-9][A-Za-z0-9_\-]{1,59}

Required: Yes

tags

Resource tags.

Type: String to string map

Map Entries: Maximum number of 50 items.

Key Length Constraints: Minimum length of 1. Maximum length of 128.

Key Pattern: [^\x00-\x1f\x22]+

Value Length Constraints: Minimum length of 0. Maximum length of 256.

Value Pattern: [^\x00-\x1f\x22]*

Required: No

Response Syntax

HTTP/1.1 200 Content-type: application/json { "policy": { "associatedServiceCount": number, "availabilitySlo": { "target": number }, "createdAt": number, "dataRecovery": { "timeBetweenBackupsInMinutes": number }, "description": "string", "kmsKeyId": "string", "multiAz": { "disasterRecoveryApproach": "string", "rpoInMinutes": number, "rtoInMinutes": number }, "multiRegion": { "disasterRecoveryApproach": "string", "rpoInMinutes": number, "rtoInMinutes": number }, "name": "string", "policyArn": "string", "tags": { "string" : "string" }, "updatedAt": number } }

Response Elements

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

policy

The created resilience policy.

Type: Policy object

Errors

For information about the errors that are common to all actions, see Common Error Types.

AccessDeniedException

Access denied — caller lacks required permissions.

HTTP Status Code: 403

ConflictException

Conflict — resource already exists.

HTTP Status Code: 409

InternalServerException

Internal service error.

HTTP Status Code: 500

ResourceNotFoundException

Resource not found.

resourceId

The identifier of the resource that was not found.

resourceType

The type of the resource that was not found.

HTTP Status Code: 404

ServiceQuotaExceededException

Service quota exceeded.

HTTP Status Code: 402

ValidationException

Validation error — invalid input parameters.

fieldList

The list of fields that failed validation.

reason

The reason for the validation failure.

HTTP Status Code: 400

See Also

For more information about using this API in one of the language-specific AWS SDKs, see the following: